Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.atom.server
Interface AtomHandler

All Known Implementing Classes:
  FileBasedAtomHandler

    public interface AtomHandler

Interface for handling single Atom protocol requests.

To create your own Atom protocol implementation you must implement this interface and create a concrete sub-class of `AtomHandlerFactory` which is capable of instantiating it.

Method Summary
`void` | `deleteEntry(AtomRequest req)` Delete entry specified by request.
`AtomService` | `getAtomService(AtomRequest req)` Return `AtomService` object that contains the `Workspace` objects available to the currently authenticated user and within those the `Collection` avalaible.
`String` | `getAuthenticatedUsername()` Get username of authenticated user.
`Categories` | `getCategories(AtomRequest req)` Get categories, a list of Categories objects
`Feed` | `getCollection(AtomRequest req)` Return collection or portion of collection specified by request.
`Entry` | `getEntry(AtomRequest req)` Get entry specified by request.
`AtomMediaResource` | `getMediaResource(AtomRequest req)` Get media resource specified by request.
`boolean` | `isAtomServiceURI(AtomRequest req)` Return true if specified request represents URI of a Service Document.
`boolean` | `isCategoriesURI(AtomRequest req)` Return true if specified request represents URI of a Categories Document.
`boolean` | `isCollectionURI(AtomRequest req)` Return true if specified request represents URI of a collection.
`boolean` | `isEntryURI(AtomRequest req)` Return true if specified request represents URI of an Atom entry.
`boolean` | `isMediaEditURI(AtomRequest req)` Return true if specified patrequesthinfo represents media-edit URI.
`String` | `postEntry(AtomRequest req, Entry entry)` Store new entry in collection specified by request and return representation of entry as it is stored on server.
`String` | `postMedia(AtomRequest req, Entry entry)` Store media data in collection specified by request, create an Atom media-link entry to store metadata for the new media file and return that entry to the caller.
`void` | `putEntry(AtomRequest req, Entry entry)` Update entry specified by request and return new entry as represented on the server.
`void` | `putMedia(AtomRequest req)` Update the media file part of a media-link entry.

Method Detail

### getAuthenticatedUsername

    String getAuthenticatedUsername()

  Get username of authenticated user. Return the username of the authenticated user

### getAtomService

    AtomService getAtomService(AtomRequest req)
                               throws AtomException

  Return `AtomService` object that contains the `Workspace` objects available to the currently authenticated user and within those the `Collection` avalaible.

  Throws:
    `AtomException`

### getCategories

    Categories getCategories(AtomRequest req)
                             throws AtomException

  Get categories, a list of Categories objects

  Throws:
    `AtomException`

### getCollection

    Feed getCollection(AtomRequest req)
                       throws AtomException

  Return collection or portion of collection specified by request.

  Parameters:
    `req` - Details of HTTP request
  Throws:
    `AtomException`

### postEntry

    String postEntry(AtomRequest req,
                     Entry entry)
                     throws AtomException

  Store new entry in collection specified by request and return representation of entry as it is stored on server.

  Parameters:
    `req` - Details of HTTP request
  Returns:
    Location URL of new entry
  Throws:
    `AtomException`

### getEntry

    Entry getEntry(AtomRequest req)
                   throws AtomException

  Get entry specified by request.

  Parameters:
    `req` - Details of HTTP request
  Throws:
    `AtomException`

### getMediaResource

    AtomMediaResource getMediaResource(AtomRequest req)
                                       throws AtomException

  Get media resource specified by request.

  Parameters:
    `req` - Details of HTTP request
  Throws:
    `AtomException`

### putEntry

    void putEntry(AtomRequest req,
                  Entry entry)
                  throws AtomException

  Update entry specified by request and return new entry as represented on the server.

  Parameters:
    `req` - Details of HTTP request
  Throws:
    `AtomException`

### deleteEntry

    void deleteEntry(AtomRequest req)
                     throws AtomException

  Delete entry specified by request.

  Parameters:
    `req` - Details of HTTP request
  Throws:
    `AtomException`

### postMedia

    String postMedia(AtomRequest req,
                     Entry entry)
                     throws AtomException

  Store media data in collection specified by request, create an Atom media-link entry to store metadata for the new media file and return that entry to the caller.

  Parameters:
    `req` - Details of HTTP request
    `entry` - New entry initialzied with only title and content type
  Returns:
    Location URL of new media entry
  Throws:
    `AtomException`

### putMedia

    void putMedia(AtomRequest req)
                  throws AtomException

  Update the media file part of a media-link entry.

  Parameters:
    `req` - Details of HTTP request
  Throws:
    `AtomException`

### isAtomServiceURI

    boolean isAtomServiceURI(AtomRequest req)

  Return true if specified request represents URI of a Service Document.

  Parameters:
    `req` - Details of HTTP request

### isCategoriesURI

    boolean isCategoriesURI(AtomRequest req)

  Return true if specified request represents URI of a Categories Document.

  Parameters:
    `req` - Details of HTTP request

### isCollectionURI

    boolean isCollectionURI(AtomRequest req)

  Return true if specified request represents URI of a collection.

  Parameters:
    `req` - Details of HTTP request

### isEntryURI

    boolean isEntryURI(AtomRequest req)

  Return true if specified request represents URI of an Atom entry.

  Parameters:
    `req` - Details of HTTP request

### isMediaEditURI

    boolean isMediaEditURI(AtomRequest req)

  Return true if specified patrequesthinfo represents media-edit URI.

  Parameters:
    `req` - Details of HTTP request

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD